* {
  box-sizing: border-box;
}
:root {
  color-scheme: light dark;
  --link-color: #354180;
}
/* body{line-height:1.33;} */
img {
  max-width: 100%;
}
.footnotes {
  font-size: 85%;
  margin-top: 100px;
  & > hr {
    opacity: 0.4;
  }
}

li {
  margin-block: 0.9em;
}

html,
body {
  margin: 0;
  padding: 0;
  background-color: rgb(241, 240, 237);
  color: #332d2d;

  font-family: "Work Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;

  word-wrap: break-word;
  hyphens: auto;
}

body {
  padding-inline: 16px;
}

header {
  margin-inline: auto;
  max-width: 1000px;
  padding-inline: 8px;
  margin-block: 64px;
}

main {
  margin-block: 24px;
  margin-inline: auto;
  max-width: 700px;
}

footer {
  margin-inline: auto;
  max-width: 700px;
  padding: 16px 8px;
  margin-block: 128px 64px;
  font-size: 0.7em;
  display: flex;
  justify-content: space-evenly;
  width: 100%;

  opacity: 0.7;
  transition: all 0.25s ease;
}

footer:hover {
  opacity: 1;
}

h1,
h2,
h3,
h4 {
  font-weight: 500;
  line-height: 1.1;
}

hgroup {
  margin-block: 64px 32px;

  h1,
  h2,
  h3,
  h4,
  p {
    margin-block: 0;
  }
}

.display {
  /* font-family: "Source Serif 4", serif; */
  font-family: "DM Mono", monospace;
  font-optical-sizing: auto;
  font-style: normal;
  font-weight: 400;
}

.font-xxl {
  font-size: 4rem;
  font-style: italic;
}

small {
  font-size: 0.7em;
  font-weight: 300;
  line-height: 0.5;
}

.mono {
  font-family: "DM Mono", monospace;
  font-weight: 300;
  font-style: normal;
}

p {
  line-height: 1.5;
}

pre:has(code) {
  padding: 0;
  background: #0001;
  border: 1px solid #0003;
  overflow: hidden;
  border-radius: 4px;
}
pre > code {
  display: block;
  background: transparent;
  padding: 8px;
  overflow: auto;
}
code {
  font-family: "DM Mono", monospace;
  padding-inline: 4px;
  background: #0001;
  border-radius: 4px;
}

blockquote {
  border-left: 5px solid #ccc;
  margin: 0.5em 10px;
  padding: 0.25em 10px;
  background-color: #00000008;
}

li > p,
blockquote > * {
  margin-block: 0.25em;
}

nav * {
  margin-block: 16px;
}

nav {
  margin-inline: auto;
  max-width: 700px;
  padding-inline: 8px;

  display: flex;
  gap: 32px 8px;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

a {
  color: var(--link-color, inherit);
  font: inherit;
  text-decoration: underline;
  text-underline-offset: 4px;
}
a.footnote {
  text-decoration: none;
}
a.footnote > sup {
  padding-inline: 4px;
  color: var(--link-color);
  text-decoration: underline;
}
/* a.footnote > sup::before {
  content: "[";
}
a.footnote > sup::after {
  content: "]";
} */

.no-link {
  text-decoration: none;
}

.link {
  text-decoration: underline;
}

hr {
  margin-block: 32px;
  border-top-color: #f1f1f1;
}

/* Home page: */
.articles {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
a.article {
  display: flex;
  flex-direction: column;
  gap: 4px 12px;
  padding: 8px;
  border-radius: 4px;
}

@media screen and (min-width: 600px) {
  a.article {
    flex-direction: row;
    align-items: center;
  }

  a.article > time {
    flex: 0 0 100px;
  }
}

a.article:hover {
  background-color: #b5aaaa32;
}

a.article > p {
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-clamp: 2;
}
a.article > time {
  opacity: 0.7;
  font-size: 0.9em;
}
.articles * {
  margin: 0;
}
